Subject: [PATCH 1/1] gpio: omap: Fix PM runtime issue and remove most BANK_USED macros

From: [email-masked] (Tony Lindgren)
Date: Tue, 12 May 2015 07:13:49 -0700

* Linus Walleij <[email-masked]> [150512 02:01]:
> On Tue, Apr 21, 2015 at 6:08 PM, Tony Lindgren <[email-masked]> wrote:
> 
> > Looks like omap_gpio_irq_type can return early at several places
> > leaving a GPIO bank enabled without doing pm_runtime_put if wrong
> > GPIO arguments are passed.
> >
> > Instead of adding more complicated BANK_USED macros, let's fix the
> > issue properly. We can pass is_irq flag to omap_enable_gpio_module
> > and omap_disble_gpio_module. And with that we can remove all the
> > similar code elsewhere to get rid of most BANK_USED macros.
> >
> > Note that the reason for the BANK_USED macro is that we need to manage
> > PM runtime on per GPIO bank basis. In the long run we want to move to
> > using PM runtime counts for each GPIO line to determine if a GPIO
> > bank is used. Once we have a solution for omap_enable_gpio_module
> > and omap_disable_gpio_module, we can remove the remaining BANK_USED
> > macros.
> >
> > Cc: Felipe Balbi <[email-masked]>
> > Cc: Grygorii Strashko <[email-masked]>
> > Cc: Javier Martinez Canillas <[email-masked]>
> > Cc: Nishanth Menon <[email-masked]>
> > Signed-off-by: Tony Lindgren <[email-masked]>
> 
> There is so much discussion around this patch that I can't make
> up my mind whether I should apply this or some subsequent inline
> version of it.
> 
> Holding this off for now...

Yeah let's see what Grygorii comes up, sounds like he may have
a minimal fix coming up. Then we can do the rest as clean-up
later on.

Regards,

Tony